Name:		stratagus
Summary:	Real-time strategy gaming engine
Version:	2.2.4
Release:	9%{?dist}
License:	GPLv2
Group:		Development/Libraries
URL:		http://stratagus.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz
Patch0:		stratagus--use_external_tolua.diff
Patch1:		stratagus-gcc43.patch
# currently broken
Patch2:		stratagus--guichan_external.diff
Patch3:		stratagus-includes.patch
BuildRequires:	mikmod-devel
BuildRequires:	tolua++-devel
BuildRequires:  lua-devel
BuildRequires:	bzip2-devel
BuildRequires:	libpng-devel
BuildRequires:	libvorbis-devel
BuildRequires:	zlib-devel
BuildRequires:	SDL-devel
BuildRequires:  libGL-devel
BuildRequires:  libGLU-devel
BuildRequires:	dos2unix

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Stratagus is a free cross-platform real-time strategy gaming engine. It
includes support for playing over the internet/LAN, or playing a
computer opponent. The engine is configurable and can be used to create
games with a wide-range of features specific to your needs. See the
data sets page ( http://stratagus.sourceforge.net/games.shtml ) for a list
of current games using the stratagus engine.

%prep
%setup -q
%patch0
%patch1 -p1 -b .gcc43
#%patch2 -p0 -b .guichan
%patch3 -p1 -b .includes
dos2unix doc/graphics/stratagus.gimp
dos2unix doc/scripts/makeindex.py
dos2unix doc/scripts/showindex.py
dos2unix doc/scripts/findlua.py
dos2unix doc/metaserver_protocol.txt
dos2unix doc/README-SDL.txt
dos2unix README
iconv -f iso8859-1 -t utf8 doc/guichan-copyright.txt > doc/guichan-copyright.utf8 && mv -f doc/guichan-copyright.{utf8,txt}

%build
%configure	--with-x \
		--with-bz2 \
		--with-ogg \
		--with-mikmod \
		--with-opengl

%{__make}

%install
%{__rm} -rf %{buildroot}
install -D -p -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README doc/
%{_bindir}/%{name}

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 03 2009 Caolán McNamara <caolanm@redhat.com> - 2.2.4-7
- add stdio.h for stderr

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Nov 20 2008 Peter Lemenkov <lemenkov@gmail.com> 2.2.4-5
- Fixed links
- Cosmetic cleanups

* Tue Feb 26 2008 Jindrich Novy <jnovy@redhat.com> 2.2.4-4
- fix build in gcc-4.3 (#434370)
- rebuild against new libmikmod (#434783)

* Sat Feb 23 2008 Peter Lemenkov <lemenkov@gmail.com> 2.2.4-3
- rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.2.4-2
- Autorebuild for GCC 4.3

* Sat Aug  4 2007 Peter Lemenkov <lemenkov@gmail.com> 2.2.4-1
- Version 2.2.4

* Thu Apr 19 2007 Peter Lemenkov <lemenkov@gmail.com> 2.2.3-2
- rebuild

* Mon Mar  5 2007 Peter Lemenkov <lemenkov@gmail.com> 2.2.3-1
- Ver. 2.2.3
- dropped stratagus--use-lua51.diff

* Wed Jan 24 2007  Peter Lemenkov <lemenkov@gmail.com> 2.2.2-0
- Version 2.2.2

* Sun Dec 24 2006 Peter Lemenkov <lemenkov@gmail.com> 2.2.1-0
- Version 2.2.1
- Using externally shipping tolua++ nstead of internal one.
- No more using of MAD and FLAC

* Sat Nov 18 2006 Peter Lemenkov <lemenkov@gmail.com> 2.1-11
- fix for bug #216166 suggested by Hans de Goede

* Thu Nov 16 2006 Peter Lemenkov <lemenkov@gmail.com> 2.1-10
- Applied patches from Hans de Goede

* Sat Sep 16 2006 Peter Lemenkov <lemenkov@gmail.com> 2.1-9%{?dist}
- Added necessary BuildRequires

* Sat Sep 16 2006 Peter Lemenkov <lemenkov@gmail.com> 2.1-8%{?dist}
- Fixed library paths

* Sat Sep 16 2006  Peter Lemenkov <lemenkov@gmail.com> 2.1-7%{?dist}
- Fix building with Lua 5.1

* Sat May 06 2006 Peter Lemenkov <lemenkov@newmail.ru> 2.1-6%{?dist}
- Added link to page with datasets

* Thu Mar 30 2006 Peter Lemenkov <lemenkov@newmail.ru> 2.1-5%{?dist}
- addition of new patch

* Thu Mar 30 2006 Peter Lemenkov <lemenkov@newmail.ru> 2.1-4%{?dist}
- patch for removal /usr/local/-directories from Rules.make.in
- temporarily disabled parallel make

* Thu Mar 30 2006 Peter Lemenkov <lemenkov@newmail.ru> 2.1-2%{?dist}
- added dist-tag

* Thu Mar 30 2006 Peter Lemenkov <lemenkov@newmail.ru> 2.1-2
- rebuild

* Sat Nov 19 2005 Peter Lemenkov <lemenkov@newmail.ru> 2.1-1
- Initial build for FC-Extras
